> For the complete documentation index, see [llms.txt](https://docs.keyfax.biz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keyfax.biz/integrations/apis/soap/status-codes.md).

# Status Codes

Upon launching and subsequently returning from Keyfax status codes reflect prevailing state. Where a host system **does not** use the Keyfax Client (e.g. host launches browser from a desktop application or from a browser using Keyfax Webservices), the following status codes apply:

<table><thead><tr><th width="126" align="center">Status</th><th>Description</th></tr></thead><tbody><tr><td align="center">1</td><td>Keyfax Script Completed successfully</td></tr><tr><td align="center">2</td><td>Keyfax Script Cancelled</td></tr><tr><td align="center">-2</td><td>Keyfax Launched OK (and diagnostic script is underway) </td></tr></tbody></table>

Where a  host system **uses the Keyfax Client,** a number of status codes are available (note: with the advent of more recent integration methods (e.g. Web Services) most of  these codes are deprecated and exist for reasons of backward compatibility with older host integrations only):

<table><thead><tr><th width="108" align="center">Status</th><th>Description</th></tr></thead><tbody><tr><td align="center">-4</td><td>Keyfax Not present <em>(only if SetExportLoadRequestFlag is used by host)</em></td></tr><tr><td align="center">-3</td><td>Keyfax Launching</td></tr><tr><td align="center">-1</td><td>Undocumented Error occurred</td></tr><tr><td align="center">0</td><td>Keyfax error occurred</td></tr><tr><td align="center">1</td><td>Keyfax Script Completed successfully</td></tr><tr><td align="center">2</td><td>Keyfax dialog cancelled</td></tr><tr><td align="center">3</td><td>Keyfax Exited</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keyfax.biz/integrations/apis/soap/status-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
